Uplink-Nodejs 1.0.8 Nods.js binding fo libUplink

Public Attributes | List of all members
ListBucketsPromiseObj Struct Reference

`#include <definitions.h>`

## Public Attributes
UplinkProject | project_result
UplinkListBucketsOptions | listBucketsOptions
UplinkBucketIterator * | bucket_resultIterator
int | async_action_status
napi_deferred | deferred
napi_async_work | work
napi_value | result
int | listBucketOptionSet

## Member Data Documentation

## ◆ async_action_status

int ListBucketsPromiseObj::async_action_status

## ◆ bucket_resultIterator

UplinkBucketIterator* ListBucketsPromiseObj::bucket_resultIterator

## ◆ deferred

napi_deferred ListBucketsPromiseObj::deferred

## ◆ listBucketOptionSet

int ListBucketsPromiseObj::listBucketOptionSet

## ◆ listBucketsOptions

UplinkListBucketsOptions ListBucketsPromiseObj::listBucketsOptions

## ◆ project_result

UplinkProject ListBucketsPromiseObj::project_result

## ◆ result

napi_value ListBucketsPromiseObj::result

## ◆ work

napi_async_work ListBucketsPromiseObj::work

The documentation for this struct was generated from the following file:

- definitions.h